### Class

# GUPnPAV FeatureListParser

#### Description [src]

    final class GUPnPAV.FeatureListParser : GObject.Object
    {
      /* No available fields */
    }

FeatureList state variable XML parser

`GUPnPFeatureListParser` parses XML strings from ContentDirectory FeatureList state variable.

#### Ancestors

- GObject

#### Constructors

###### gupnp_feature_list_parser_new

No description available.

#### Instance methods

###### gupnp_feature_list_parser_parse_text

Parses `text` and returns the list of available features. If an error occurred `error` will be set.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVFeatureListParserClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.